@import "../../utils/variables";

.root {
  display: grid;
  z-index: 1;
  grid-template-columns: auto auto;
  grid-template-rows: $header-top-space-height;
  align-items: center;
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  button {
    background-color: inherit;
    border: 0;
    outline: 0;
  }

  &[data-theme="dark"] {
    background-color: $background-color-header-dark;

    button:hover {
      color: darken($icon-color-light, 30%);
      cursor: pointer;
    }
  }
  &[data-theme="light"] {
    background-color: $background-color-header-light;

    button:hover {
      color: lighten($icon-color-dark, 30%);
      cursor: pointer;
    }

    .rightApplicationHeader > button div {
      color: lighten($icon-color-dark, 30%);
    }
  }
  .left {
    display: grid;
    grid-template-columns: $header-top-space-height auto;
    justify-content: left;
  }
  .rightApplicationHeader {
    display: grid;
    justify-content: end;
    grid-auto-flow: column;

    & > * {
      height: calc(#{$header-top-space-height} - 2rem);
      padding: 0 $padding-header-actions 0 $padding-header-actions;
      border-left: 1px solid #555;
    }
    & > :first-child {
      border: 0;
    }

    button {
      color: currentColor;
    }
  }
  .logo {
    display: grid;
    grid-template-columns: auto auto;
    align-self: center;
    margin-left: $header-top-space-height;
    svg {
      align-self: center;
      margin: 0.5rem;
    }
    p {
      align-self: center;
      margin: 0;
      font-size: 1.6rem;
      line-height: 1;
    }
  }

  .appSelectorContainer {
    fill: currentColor;
  }
}
